# `BB.Error.Invalid.JointConfig`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/error/invalid/joint_config.ex#L5)

Invalid joint configuration.

Raised when joint configuration is invalid (e.g., missing limits,
invalid joint type for actuator, incompatible settings).

# `t`

```elixir
@type t() :: %BB.Error.Invalid.JointConfig{
  __exception__: true,
  bread_crumbs: term(),
  class: term(),
  expected: term(),
  field: atom() | nil,
  joint: atom(),
  message: String.t() | nil,
  path: term(),
  splode: term(),
  stacktrace: term(),
  value: term(),
  vars: term()
}
```

# `exception`

```elixir
@spec exception(opts :: Keyword.t()) :: %BB.Error.Invalid.JointConfig{
  __exception__: true,
  bread_crumbs: term(),
  class: term(),
  expected: term(),
  field: term(),
  joint: term(),
  message: term(),
  path: term(),
  splode: term(),
  stacktrace: term(),
  value: term(),
  vars: term()
}
```

Create an `Elixir.BB.Error.Invalid.JointConfig` without raising it.

## Keys

- :joint
- :field
- :value
- :expected
- :message

---

*Consult [api-reference.md](api-reference.md) for complete listing*
